package ee.lunasqu.interaqqt.events.listeners;

import ee.lunasqu.interaqqt.Main;
import ee.lunasqu.interaqqt.triggers.BlockTriggers;
import org.bukkit.Location;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockRedstoneEvent;

public class RedstoneListener implements Listener {
	@EventHandler
	public void onRedstone(BlockRedstoneEvent e) {
		if (e.getOldCurrent() == e.getNewCurrent()) return;
		Location location = e.getBlock().getLocation();
		BlockTriggers triggers = Main.plugin.getTriggers();
		triggers.triggerLocation(location, e.getNewCurrent());
	}
}
